Skip to Content
avatar image
Former Member

Unable to install SAP Netweaver 2004s in Solaris x64

I am trying to install SAP Net2004s in solaris x64 and it has JDK1.6.

For some reason the SAPINST keeps giving error "JDK version 1.5.0 and above is not supported by SAP.

I downloaded and installed j2sdk1.4.2_24_b06 as per note 716604.

Created environment variable as

export JAVA_HOME=/opt/j2sdk1.4.2_24

export PATH=$PATH:$JAVA_HOME/bin

export SAPINST_JRE_HOME=opt/j2sdk1.4.2_24

now if i execute java -version, again it is showing as Jdk1.6

which java

/usr/bin/java

i am able to execute xclock.

I renamed the softlink in /usr/java to java.old and created new one as /usr/java pointed to /opt/j2sdk1.4.2_24

after this if i execute java -version, it gives an error "Error occurred during initialization of VM

java/lang/NoClassDefFoundError: java/lang/Object"

Now i checked the java executables, it is located in /opt/j2sdk1.4.2_24/bin/amd64/ (all java executables)

Now i set the env PATH /opt/j2sdk1.4.2_24/bin/amd64 before the variable /ur/bin/java

I tried creating env as "export PATH=$PATH:$JAVA_HOME/bin/amd64". But no luck.

I would really appreciate if someone could help me to pass through this error.

Thanks in advance.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Aug 15, 2010 at 02:46 PM

    > export JAVA_HOME=/opt/j2sdk1.4.2_24

    > export PATH=$PATH:$JAVA_HOME/bin

    > export SAPINST_JRE_HOME=opt/j2sdk1.4.2_24

    >

    > now if i execute java -version, again it is showing as Jdk1.6

    >

    > which java

    > /usr/bin/java

    Yes, this is right and expected.

    If you use put the standard PATH before the new path for Java, the first java binary found is executed.

    You have to

    export PATH=$JAVA_HOME/bin:$PATH

    Markus

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Now i just installed java1.4.2_24 32bit

      after that

      Created environment variables

      export JAVA_HOME=/opt/j2sdk1.4.2_24

      export PATH=$JAVA_HOME/bin:$PATH

      export DISPLAY=XXX:0.0

      Now java -version output shows

      Java1.4.2_24 version

      which java

      /opt/j2sdk1.4.2_24/bin/java

      and able to execute xclock

      But now for some reason, sapinst gui is not coming.

      Please help me in this

  • Aug 16, 2010 at 07:12 PM

    Hello,

    Please try

    install a fresh JDK just need 64 bit version

    and set the environment variables accordingly,

    SAPINST_JRE_HOME=/usr/jdk etc

    JAVA_HOME=/usr/jdk etc

    PATH=/usr/jdk etc

    remove your temporary installation directory (/tmp/sapinst_instdi

    create a new directory

    and restart the installation from scratch.

    Also check

    709140 Recommended JDK and VM Settings for the WebAS630/640/7.0

    716604 Access to Sun J2SE and recommended J2SE options

    regards,

    John Feely

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Markus Doehr

      Are you running the install from a windows host or directly on Solaris host???

      Please try to set the variable as :

      #export PATH=$PATH/usr/java abd try to install.

      Please revert back in case of further queries..

      Anil